<script setup>
import {computed, ref} from "vue";

const props = defineProps({
    currentDate: Date,
    promotions: Array
})

const currentDate = ref(props.currentDate)
const promotions = computed(() => props.promotions)



</script>

<template>

    <div class="navigation">
        <button class="btn btn-primary" @click="$emit('update-date', new Date(currentDate.setDate(currentDate.getDate() - 7)) )">Previous week</button>

        <select class="form-select" @change="$emit('update-promotion', $event.target.value)">
            <option value="-1" selected>Choose a promotion</option>
            <option v-for="promotion in promotions" :key="promotion.id" :value="promotion.id">{{ promotion.intitule }}</option>
        </select>

        <button class="btn btn-primary" @click="$emit('update-date', new Date(currentDate.setDate(currentDate.getDate() + 7)) )">Next week</button>
    </div>
</template>

<style scoped>
.navigation {
  display: flex;
  justify-content: space-around;
  margin: 20px;
}

select {
  margin: 0 10px;
}
</style>